Bug 498948 - Support CDN toggle for satellite-sync
Support CDN toggle for satellite-sync
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
RHN Stable
All Linux
low Severity medium
: ---
: ---
Assigned To: Bryan Kearney
Red Hat Network Quality Assurance
US=90352
:
Depends On:
Blocks: rhn-sprint23
  Show dependency treegraph
 
Reported: 2009-05-04 11:02 EDT by James Bowes
Modified: 2013-01-10 05:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 09:25:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Bowes 2009-05-04 11:02:50 EDT
Toggling the CDN support for a system in the webui/via xmlrpc should affect
what the system does when using satellite-sync
Comment 1 James Bowes 2009-05-04 16:04:20 EDT
To test:
 * install rhel 4.8 (for the latest rhnlib)
 * install a 5.3 satellite
 * edit /etc/rhn/rhn.conf and set xml_dump_version = 3.4
 * run a satellite sync
 * come back tomorrow
 * remove a single rpm from /var/satellite/redhat/NULL
 * set your satellite's content-aware downloads to either y/n via the webui
 * run a satellite sync and watch /var/log/rhn/rhn.log on xmlrpc.back-webdev to 
   see if it detects the pref correctly.
 * check the logs on the cdn instance to verify that it has/has not served the 
   file.
 * repeat for the other setting
Comment 2 Stephen Herr 2009-05-06 16:24:15 EDT
verified on dev
Comment 3 Denise Hughes 2009-05-18 09:25:40 EDT
Pushed to prod on 5/15/09.

Note You need to log in before you can comment on or make changes to this bug.